### PPGNN
分布式分区并行图神经网络实验代码，目前包括以下特性：  
1. 同时支持CPU和GPU训练
2. 模型定义简洁，没有额外优化
3. 支持图数据点分割和边分割

### 目录结构
1. /dataset 里面包含数据处理代码
2. /core 包含分布式索引，分布式图数据结构等相关代码
3. /utils 包含一些常用的处理函数，包括数据集加载等
4. /model 包含模型的定义等

### 说明
这份代码是早起用于实验分布式分区并行所用，除了模型定义部分，训练推理接口和StarryGL静态图分区并行模式没有区别。StarryGL静态图组件目前仅支持GPU训练，仅支持点分割算法，重构了分布式通信和模型定义过程，暂时需要多块GPU卡进行调试。
