from model.basic_gnn import BasicGNN
from model.convs import GCNConv, GATConv

class GCN(BasicGNN):
    def init_conv(self, in_channels: int, out_channels: int, **kwargs):
        return GCNConv(in_channels, out_channels)
    

class GAT(BasicGNN):
    def init_conv(self, in_channels: int, out_channels: int, **kwargs):
        return GATConv(in_channels, out_channels, **kwargs)